Subject: [VRRP] VRRP for IPv6 - addresses

From: [email-masked]
Date: Thu, 12 Feb 2004 14:48:30 -0800

Hi,

In the current draft for VRRP for IPv6 (draft-ietf-vrrp-ipv6-spec-05.txt),
the virtual IP address is always a link local address. This is okay
for a box performing only as a router. However, for applications
running on a box, this may not be sufficient. For applications like
VPN that would like to failover the VPN endpoint, the virtual IP
address must be a globally reachable address. The current draft does
not support it. Also, an interface may belong to multiple subnets
and we may want more than one address belonging to that interface to be
backed up by another router. This implies that we may need support in the
VRRP packet to carry multiple virtual IP addresses.

Any comments?

John

_______________________________________________
vrrp mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/vrrp

---

From: Radia Perlman <[email-masked]>
Date: Fri, 13 Feb 2004 14:51:07 -0500

Would it be reasonable for each router to have two layer 3 addresses, one is
a real, "permanent" (i.e., not affected by VRRP) address used for talking
to it when you really want to talk to *that* box, and the other being the
virtual one being "the VRRP router"?

Radia

----- Original Message -----
From: Bob Hinden <[email-masked]>
Date: Friday, February 13, 2004 2:25 pm
Subject: Re: [VRRP] VRRP for IPv6 - addresses

> John,
> 
> >In the current draft for VRRP for IPv6 (draft-ietf-vrrp-ipv6-spec-
> 05.txt),>the virtual IP address is always a link local address. 
> This is okay
> This seems like a reasonable change to me.  It was a feature that 
> was in 
> VRRP (for IPv4).  I didn't include it in VRRP for IPv6 because all 
> host to 
> router traffic used the routers link-local addresses.  You point 
> out that 
> when using things like VPN it also useful to visualize the routers 
> other 
> addresses.
> 
> The changes to the draft are fairly easy and I should be able to 
> include 
> them in the draft I am planning to submit later today.
> 
> This isn't quite right.  In IPv6 the routers tell the hosts (via 
> router 
> advertisements) what prefixes are on the link and that they are 
> the 
> router.  So while there may be multiple prefixes (i.e.,  subnets) 
> on the 
> link, hosts don't send their off-link traffic to the routers 
> address on the 
> prefix, they only send their off-link traffic to the routers link-
> local 
> address.  The result is that one router may back up another router 
> independent of the number of subnets on the link.
> 
> Nonetheless, I think that the change you suggest for supporting 
> VPNs is a 
> good idea and will plan to make the change in the draft.  It won't 
> require 
> more than the link-local address to be carried, so it shouldn't 
> impose any 
> overhead, other than having to set a count field in the header to 
> 1, on 
> people who don't want to use this feature.
> 
> Bob
> 
> 
> Bob
> 
>